Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 02/25/2021 in all areas

  1. No - GRTEXT will not work in the graphics area. GRTEXT only writes to the status line or the old screen menu areas. Can you give us an idea of what your trying to do? The code you posted doesn't have any (grdraw) calls.
    1 point
  2. Here is a simple bit of code that will do it. (defun c:UnmirrorBlock (/ ss en xscl yscl zscl) (if (setq ss (ssget '((0 . "INSERT")))) (progn (repeat (setq cnt (sslength ss)) (setq en (entget (ssname ss (setq cnt (1- cnt)))) xscl (abs (cdr (assoc 41 en))) yscl (abs (cdr (assoc 42 en))) zscl (abs (cdr (assoc 43 en))) en (subst (cons 41 xscl) (assoc 41 en) en) en (subst (cons 42 yscl) (assoc 42 en) en) en (subst (cons 43 zscl) (assoc 43 en) en) en (subst (cons 50 0.0) (assoc 50 en) en) ) (entmod en) ) ) ) )
    1 point
  3. The reason is because it tries to run the other commands before you finish the "pline" command. You need to delay the operation of the rest of the routine until it is finished. It does not do this for you with only 1 PAUSE option. Try This - note the "cmdactive" loop to pause the "pline" command until you are finished drawing the polyline (see my comments for other improvements): (Defun C:TestPl (/ plccLayer oecho oplwid ss); Localize your variables (setq plccLayer (getvar "clayer") oplwid (getvar "plinewid") oecho (getvar "cmdecho")) (setvar "plinewid" 0.015) ;; Don't use command to set system variables. ;; You want CMDECHO set to 1 here so you can see pline prompts. ;; FYI - the "dot" before the command ensures that the true command is used (not redefined), ;; the "underscore" will translate command names and options for international versions. (COMMAND "._-LAYER" "_M" "FIBER" "_C" "130" "" "_L" "FENCELINE1" "" "" "._PLINE" ) ;; This loops the pause until the command is over. (while (= (logand (getvar "cmdactive") 1) 1) (command pause) ) ;; reset system variable back to original values. (setvar "clayer" plccLayer) (setvar "PLINEWID" oplwid) ;; Set cmdecho here to 0 to not see the change command. (setvar "CMDECHO" 0) (setq ss (ssget "L")) (command "._Change" ss "" "_P" "_S" 0.25 "") ;; Reset cmdecho back to original value. (setvar "cmdecho" oecho) (princ) )
    1 point
  4. There is 0.000001% chance that Autodesk is going to activate those seats for anyone other than the owner. The only chance AFAIK, is for the remaining owners to sell the business (even if the only assets are these software licenses) to someone else, and even then I don't think it would fly. What's that? They have some value and you feel like this isn't fair? Well, join the club of many other perpetual seat owners who have been forced to go to rental. Rental is where it's at as far as Autodesk is concerned. They want every license to bring in income, every year. Those old perpetuals no longer do that. But as @Cad64 said, you are barking up the wrong tree asking us - the only entity that matters is Autodesk. You should ask them. Good luck and report back your findings so we can all learn. Thanks!
    1 point
  5. As far as I know, you can't legally sell those licenses but you can transfer ownership, under certain circumstances. See here: https://knowledge.autodesk.com/customer-service/account-management/users-software/manage-licenses/transfer-ownership-licenses Your best course of action would be to contact Autodesk to find out what you can or can't do legally.
    1 point
  6. To set the rotation horizontal try: https://forums.augi.com/showthread.php?171018-rotate-text-to-horizontal-in-viewport&p=1332928&viewfull=1#post1332928 As far as blocks being mirrored look for negative scale values in the Properties Palette. Why not use annotative blocks and set Match Orientation to Yes? That way even in twisted views the blocks will always be horizontal.
    1 point
  7. Hi Dadgad, thanks for the comments. I know Lee Mac's work and I especially like fractals that are very beautiful and complex but with compact routines. I also like the field finder in the "filds obects" routine that I used to do material resistance exercises at the university of civil engineering. I went back to college with 49 years old. Thanks Lee Mac for the routines and thanks Dadgad for the comments.
    1 point
  8. BINGO! @rkmcswain nailed it! Having GRID turned on can also potentially lead to selection problems, dependent upon the scale of your Grid.
    1 point
×
×
  • Create New...